> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anchorbrowser.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Project Logo

> Uploads or replaces the project logo. Allowed types: PNG, JPEG, WebP, SVG, ICO.



## OpenAPI

````yaml /openapi.yaml put /v1/projects/{projectId}/logo
openapi: 3.1.0
info:
  title: AnchorBrowser API
  version: 1.0.0
  description: APIs to manage all browser-related actions and configuration.
servers:
  - url: https://api.anchorbrowser.io
    description: API server
security: []
paths:
  /v1/projects/{projectId}/logo:
    put:
      tags:
        - Projects
      summary: Upload Project Logo
      description: >-
        Uploads or replaces the project logo. Allowed types: PNG, JPEG, WebP,
        SVG, ICO.
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - logo
              properties:
                logo:
                  type: string
                  format: binary
                  description: Logo image file.
      responses:
        '200':
          description: Logo uploaded successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectResponse'
        '400':
          description: Logo file missing, too large, or of an unsupported type.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlatErrorResponse'
        '404':
          description: Project not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlatErrorResponse'
        '500':
          description: Failed to update project logo.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlatErrorResponse'
      security:
        - api_key_header: []
components:
  schemas:
    ProjectResponse:
      type: object
      description: A team project (a.k.a. team / workspace).
      properties:
        id:
          type: string
        name:
          type: string
        created_by_user:
          type: string
          nullable: true
        domain:
          type: string
        logo_url:
          type: string
          nullable: true
        organization_id:
          type: string
          nullable: true
        organization_name:
          type: string
          nullable: true
        created_at:
          type: string
          format: date-time
          nullable: true
        updated_at:
          type: string
          format: date-time
          nullable: true
    FlatErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Human-readable error message.
        code:
          type: integer
          description: HTTP status code.
      required:
        - error
  securitySchemes:
    api_key_header:
      type: apiKey
      in: header
      name: anchor-api-key
      description: API key passed in the header

````